package org.infodb.wax.core.html;

/**
 * formタグで主に使うアトリビュートクラス
 */
public class AttrFORM {
    public static final String ON = "on";
    public static final String OFF = "off";
    public static final String DEFAULT = "default";
    
    public static Attr action(String action, String target) {
        StringBuilder sb = new StringBuilder(action);
        if(target != null) {
            sb.append(target);
        }
        return new Attr("action", sb.toString());
    }
    public static Attr size(int size) {
        return new Attr("size", Integer.toString(size));
    }
    public static Attr maxLength(int len) {
        return new Attr("maxlength", Integer.toString(len));
    }
    public static Attr autoComplete(String val) {
        return new Attr("autocomplete", val);
    }
    public static Attr pattern(String val) {
        return new Attr("pattern", val);
    }
    public static Attr placeHolder(String val) {
        return new Attr("placeholder", val);
    }
    public static Attr readonly() {
        return new Attr("readonly", null);
    }
    public static Attr required() {
        return new Attr("required", null);
    }
    public static Attr list(String id) {
        return new Attr("list", id);
    }
    public static Attr autofocus() {
        return new Attr("autofocus", null);
    }
    public static Attr min(int size) {
        return new Attr("min", Integer.toString(size));
    }
    public static Attr max(int size) {
        return new Attr("max", Integer.toString(size));
    }
    public static Attr step(int value) {
        return new Attr("step", Integer.toString(value));
    }
    public static Attr multiple() {
        return new Attr("multiple", null);
    }
}
